SVG markers have black border when exported as svg through print composer
Affected QGIS version:2.6.0 Regression?: No
Pull Request or Patch supplied:No Resolution: not reproducable
Description

When exporting a map through the print composer, most svg markers have a 1pt black border added to them. They are not in the files and

the border width on the svg marker is set to 0.

Also the compound paths in the svg collapse leaving solid fills

History

#1 - 2014-11-07 11:22 AM - Giovanni Manghi

- Category set to Map Composer/Printing

- Priority changed from High to Normal

#2 - 2014-11-07 05:09 PM - Nyall Dawson

- Category changed from Map Composer/Printing to Symbology

Passing over to symbology- composer doesn't do anything specific to alter how maps are rendered, so the bug must lie in the symbology code.

#3 - 2014-11-07 05:10 PM - Nyall Dawson

- Status changed from Open to Feedback

Actually, can you first confirm if this affects all output types from composer? Ie, if you save a composer to a PNG image do you see the same?

#4 - 2014-11-08 08:03 AM - Steven Bernard

- File svgIcons.jpg added

- File svgIcons.png added

- File svgIcons_illustrator_svg.jpg added

- File svgIcons_pdf.jpg added

I have attached 4 files to show the different formats. The rasterized formats, png and jpg are perfect. But both the svg and pdf versions have issues.

Vector

SVG – svgIcons_illustrator_svg.jpg

PDF – svgIcons_pdf.jpg

Raster
PNG – svgIcons.png

JPG – svgIcons.jpg

#5 - 2014-11-27 05:48 PM - Nyall Dawson

I can't reproduce this. Can you share a project which demonstrates this issue?

#6 - 2014-11-28 12:30 AM - Steven Bernard

Hi there, before I send you over a project can you tell me what program you use to create the svgs? I'm wondering if it's an issue with the way qgis reads

Adobe illustrator svgs. The markers look absolutely fine within qgis, it's only when the map is exported as an svg and opened up in illustrator that the

problem occurs.

#7 - 2015-12-27 05:12 AM - Giovanni Manghi

what is the status of this issue?

#8 - 2016-05-23 09:25 AM - Giovanni Manghi

sorry for asking again, what is the status of this ticket?

#9 - 2016-06-22 12:52 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

closing for lack of feedback, please reopen if necessary.

Files

ss.jpg 69.8 KB 2014-11-07 Steven Bernard

svgIcons_pdf.jpg 99.1 KB 2014-11-08 Steven Bernard

svgIcons_illustrator_svg.jpg 73.4 KB 2014-11-08 Steven Bernard

svgIcons.jpg 381 KB 2014-11-08 Steven Bernard

svgIcons.png 819 KB 2014-11-08 Steven Bernard
